# Type Alias AuthenticationMethod

type AuthenticationMethod = {
icon?: string;
label: string;
parameters?: GenObj;
strategy: any;
}

- Defined in base_types.ts:503

##### Index

### Properties

icon?
label
parameters?
strategy

## Properties

### `Optional` icon

icon?: string

- Defined in base_types.ts:504

### label

label: string

- Defined in base_types.ts:505

### `Optional` parameters

parameters?: GenObj

- Defined in base_types.ts:506

### strategy

strategy: any

- Defined in base_types.ts:507